Chat Completions
curl --request POST \
--url https://www.anyfast.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seed-1-6-251015",
"messages": [
{
"role": "user",
"content": [
{
"type": "image_url",
"image_url": {
"url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png"
}
},
{
"type": "text",
"text": "What is in this image?"
}
]
}
],
"max_tokens": 1024,
"temperature": 1,
"top_p": 0.5,
"stream": false,
"stop": [
"<string>"
]
}
'import requests
url = "https://www.anyfast.ai/v1/chat/completions"
payload = {
"model": "doubao-seed-1-6-251015",
"messages": [
{
"role": "user",
"content": [
{
"type": "image_url",
"image_url": { "url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png" }
},
{
"type": "text",
"text": "What is in this image?"
}
]
}
],
"max_tokens": 1024,
"temperature": 1,
"top_p": 0.5,
"stream": False,
"stop": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'doubao-seed-1-6-251015',
messages: [
{
role: 'user',
content: [
{
type: 'image_url',
image_url: {
url: 'https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png'
}
},
{type: 'text', text: 'What is in this image?'}
]
}
],
max_tokens: 1024,
temperature: 1,
top_p: 0.5,
stream: false,
stop: ['<string>']
})
};
fetch('https://www.anyfast.ai/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1774236644,
"model": "doubao-seed-1-6-251015",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "The image contains 3 models: Doubao-Seed-1.8, DeepSeek-V3.2, GLM-4.7.",
"reasoning_content": "<string>"
}
}
],
"usage": {
"prompt_tokens": 1355,
"completion_tokens": 87,
"total_tokens": 1442,
"completion_tokens_details": {
"reasoning_tokens": 53
}
}
}ByteDance Doubao
Chat Completions
Create a chat completion using Doubao models. The content field accepts a plain string for text, or an array of content parts for multimodal input.
Multimodal content types: text, image_url, video_url.
POST
/
v1
/
chat
/
completions
Chat Completions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The model to use.
Available options:
doubao-seed-2.0-pro, doubao-seed-2.0-code, doubao-seed-2.0-lite, doubao-seed-2.0-mini, doubao-seed-1-8-251228, doubao-seed-1-6-flash-250828, doubao-seed-1-6-251015, doubao-seed-1-6-lite-251015, doubao-seed-1-6-vision-250815, glm-4.7 Example:
"doubao-seed-1-6-251015"
Conversation messages. Each message has role and content.
Content array item types:
text:{"type": "text", "text": "..."}image_url:{"type": "image_url", "image_url": {"url": "https://..."}}video_url:{"type": "video_url", "video_url": {"url": "https://...", "fps": 2}}
Minimum array length:
1Show child attributes
Show child attributes
Example:
[
{
"role": "user",
"content": [
{
"type": "image_url",
"image_url": {
"url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png"
}
},
{
"type": "text",
"text": "What is in this image?"
}
]
}
]Maximum number of tokens to generate.
Required range:
x >= 1Example:
1024
Sampling temperature.
Required range:
0 <= x <= 2Example:
1
Nucleus sampling parameter.
Required range:
0 <= x <= 1Whether to stream via SSE.
Up to 4 stop sequences.
⌘I